%define momorel 1
Summary: ImageMagick extension for Ruby
Name: ruby-rmagick
Version: 1.8.0
Release: %{momorel}m
License: MIT/X
Group: Development/Libraries
%NoSource 0 http://rubyforge.org/frs/download.php/4266/RMagick-%{version}.tar.bz2 e020bf40fd7777cae5f431ecceb8c65e
URL: http://rmagick.rubyforge.org/
BuildPreReq: ImageMagick-devel
BuildRequires: ruby-devel >= 1.8.2
BuildRoot: /var/tmp/%{name}-%{version}-root/

%description
A binding for ImageMagick (www.imagemagick.org) and GraphicsMagick
(www.graphicsmagick.org). Over 120 methods for 2D image
manipulation. The HTML documentation contains a usage guide and complete
API reference, including 125 complete example programs and images.

%prep

%setup -q -n RMagick-%{version}

%build
./configure --prefix=/usr \
  --with-rb-dir=%{buildroot}%{ruby_libdir} \
  --with-so-dir=%{buildroot}%{ruby_archdir} \
  --with-doc-dir=%{buildroot}%{_datadir}/RMagick

# disable some scripts temporarily
mv doc/ex/modulate.rb doc/ex/modulate.rb_
mv doc/ex/preview.rb doc/ex/preview.rb_

%make

%install
rm -rf %{buildroot}
%makeinstall
rm -rf %{buildroot}%{_datadir}/RMagick

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README* doc examples
%{ruby_libdir}/*.rb
%{ruby_libdir}/rvg
%{ruby_archdir}/*.so

%changelog
* Sun May  1 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.8.0-1m)
- version up

* Thu Feb 24 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.2-1m)
- bugfix release

* Sun Jan 23 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.1-2m)
- disable some scripts temporarily that will not run with ImageMagick-6.1.8

* Wed Jan  5 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.1-1m)
- version up

* Tue Dec 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.7.0-1m)
- version up

* Wed Dec  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.2-1m)
- bug fix release

* Wed Nov 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.1-1m)

* Fri Nov 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.6.0-1m)

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.0-3m)
- rebuild against ruby-1.8.2

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (1.4.0-2m)
- revised spec for rpm 4.2.

* Tue Feb 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.0-1m)

* Fri Dec 12 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.3.2-1m)
- bug fix release

* Tue Dec  2 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.3.1-1m)
- initial import
